@use "normalize";
@use "fonts";
@use "helpers";
//@use "strype";

html {
  box-sizing: border-box;
  height: 100%;
  min-height: 100%;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: helpers.$fontMontserratAlt;
  font-weight: 100;
}

h1 {
  font-size: 24px;
  line-height: 32px;
}

*,
*::before,
*::after {
  box-sizing: inherit;
  outline: none;
  margin: 0;
  padding: 0;
}

body {
  font-family: helpers.$fontMontserrat;
  font-size: 14px;
  font-weight: 400;
  height: 100%;
  min-height: 100%;
}

#__next {
  height: 100%;
  min-height: 100%;
}

img {
  display: inline-block;
  max-width: 100%;
  height: auto;
}

a {
  text-decoration: none;
}

button,
input {
  overflow: visible;
  width: 100%;
  padding: 5px;
  // margin: 5px 0;
  outline: none;
  border: 1px solid;
}

h1 {
  font-size: 50px;
  line-height: 61px;
  font-weight: 400;
}

p {
  font-size: 16px;
  line-height: 24px;
}

.container {
  max-width: 1230px;
  width: 100%;
  margin: 0 auto;
  padding: 0 30px;
}

.visuallyHidden {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  white-space: nowrap;
  border: 0;
  clip-path: inset(100%);
}

.baseLayer {
  display: flex;
  overflow: hidden;
  flex-direction: column;
  min-height: 100vh;
}

.main {
  flex-grow: 1;
  flex-shrink: 0;
}

.w100 {
  width: 100%;
}

.flex {
  display: flex;
}

.row15 {
  margin-left: -15px;
  margin-right: -15px;
}

.flex-wrap {
  flex-wrap: wrap;
}

.flex__column {
  flex-direction: column;
}

.flex__center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.flex__between {
  justify-content: space-between;
}

.flex__x_end {
  justify-content: flex-end;
}

.flex__x_center {
  justify-content: center;
}

.flex__y_center {
  align-items: center;
}

.ReactModal__Body--open {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
  touch-action: none;
  -ms-touch-action: none;

  .wrapper {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    touch-action: none;
    -ms-touch-action: none;
  }
}

.ReactModal__Overlay {
  opacity: 0;
  transition: opacity 200ms ease-in-out;
}

.ReactModal__Overlay--after-open {
  opacity: 1;
  z-index: 2;
}

.ReactModal__Overlay--before-close {
  opacity: 0;
}

.ReactModal__Content {
  width: calc(100% - 60px) !important;

  &::-webkit-scrollbar {
    width: 0;
  }
}

.ReactModal__Content {
  max-width: calc(100vw - 2rem);
  max-height: calc(100vh - 2rem);
  margin-top: 13px;
  position: relative;
}

::placeholder {
  color: #000;
  font-size: 16px;
}

:-ms-input-placeholder {
  color: #000;
  font-size: 16px;
}

::-ms-input-placeholder {
  color: #000;
  font-size: 16px;
}

.input__error {
  border: 1px solid #dc3545 !important;
  box-shadow: 1px 1px 5px 1px rgb(216 108 119 / 70%) !important;
}

.btn-primary {
  background-color: helpers.$darkBlue;
  color: white;
}

.navContainer {
  max-width: 1170px;
  margin: 0 auto;
}

.contentAndMenu {
  display: flex;
  margin: 30px 15px 0;
}

.leftMenu {
  width: 270px;
  display: none;
  margin-right: 20px;
}
.react-tel-input .selected-flag:hover {
  background-color: transparent !important;
}

// Registration input phone style
.reg__phone_input {
  width: 100% !important;
  height: 67px !important;
  font-size: 20px !important;
  border-radius: 10px !important;
  margin-right: 0 !important;
  outline: none !important;
  border: none !important;
  background-color: #fff !important;
}

.reg__phone_button {
  border-radius: 10px 0 0 10px !important;
  background-color: transparent !important;
  border: none !important;
  padding-left: 5px !important;
}

.reg__phone_container {
  flex-basis: 50% !important;
  margin: 0 15px !important;
  font-family: Montserrat, Arial, Helvetica, sans-serif !important;
}

.btn-primary {
  background-color: helpers.$darkBlue;
  color: white;
}

.avatar {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  object-fit: cover;
}

.reg__phone_dropdown {
  width: 100% !important;
  position: relative !important;
  text-align: left !important;
  color: #000 !important;
}

.btn__disabled {
  cursor: default !important;
  opacity: 0.6 !important;
}

.phoneScreenSize {
  display: block;
}

.text-red {
  color: red;
  font-weight: 700;
}

.custom-scroll-y {
  overflow-y: auto;
  overflow-x: hidden;
  scroll-behavior: smooth;
  scrollbar-color: #777777 transparent;
  scrollbar-width: thin;

  &::-webkit-scrollbar {
    width: 9px;
  }

  &::-webkit-scrollbar-track {
    background: #f0f0f0;
  }

  &::-webkit-scrollbar-thumb {
    background: #777777;
    border-radius: 5px;
  }

  &::-webkit-scrollbar-thumb:hover {
    background: #9b9b9b;
  }
}

.ap-dropdown-menu {
  position: relative !important;
  text-align: left;
}

@media screen and (min-width: helpers.$widthTablet) {
  h1 {
    font-size: 28px;
    line-height: 32px;
  }

  .phoneScreenSize {
    display: none;
  }

  .leftMenu {
    display: block;
    margin-right: 15px;
  }

  .contentAndMenu {
    margin: 32px 32px 100px;
  }
}

@media screen and (max-width: helpers.$widthTablet) {
  h1 {
    font-size: 28px;
    line-height: 32px;
  }
}

@media screen and (min-width: helpers.$widthDesktop) {
  .contentAndMenu {
    margin-top: 51px;
    max-width: 1170px;
    margin-left: auto;
    margin-right: auto;
  }

  .leftMenu {
    margin-right: 30px;
  }

  h1 {
    font-size: 50px;
    line-height: 61px;
    font-weight: 400;
  }
}

@media screen and (max-width: helpers.$widthDesktop) {
  .contentAndMenuHome {
    margin: 40px 0 100px;
  }
}

@media screen and (max-width: 600px) {
  .reg__phone_container {
    margin: 0 !important;
  }
}

@media screen and (max-width: helpers.$widthMobile) {
  .container {
    max-width: 1200px;
    padding: 0 15px;
  }

  .contentAndMenuHome {
    margin-top: 30px;
  }

  .ReactModal__Content {
    max-width: 100% !important;
    width: calc(100% - 1px) !important;
    padding: 0 15px !important;
  }

  ::placeholder {
    color: #000;
    font-size: 14px;
  }

  :-ms-input-placeholder {
    color: #000;
    font-size: 14px;
  }

  ::-ms-input-placeholder {
    color: #000;
    font-size: 14px;
  }

  h1 {
    font-size: 24px;
    line-height: 32px;
  }
}
